POST Agents/DocumentMigration/GetForDateRange
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/DocumentMigration/GetForDateRange
Gets a migration summary for documents in the provided date-rage
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The DocumentMigration agent is not available in Online by default. Access must be requested specifically when app is registered. Intended for SuperOffice-internal apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/DocumentMigration/GetForDateRange?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
DocumentPluginId, MinDate, MaxDate, IncludeEmails
| Property Name | Type | Description |
|---|---|---|
| DocumentPluginId | Integer | |
| MinDate | String | |
| MaxDate | String | |
| IncludeEmails | Boolean |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: DocumentMigrationItemList
| Property Name | Type | Description |
|---|---|---|
| NumDocumentsOmitted | int32 | Total amount of documents within the selection criteria, which has been omitted from the migration. |
| NumDocumentsAlreadyMigrated | int32 | Documents already migrated to the requested documentplugin. |
| Documents | array | List of documents to be migrated. |
| Associates | array | List of associates whose documents will be migrated. |
Sample request
POST /api/v1/Agents/DocumentMigration/GetForDateRange
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"DocumentPluginId": 356,
"MinDate": "2004-06-06T10:10:59.8786266+02:00",
"MaxDate": "2004-09-28T10:10:59.8786266+02:00",
"IncludeEmails": true
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"NumDocumentsOmitted": 5,
"NumDocumentsAlreadyMigrated": 834,
"Documents": [
{
"DocumentId": 989,
"ContactId": 483,
"PersonId": 20,
"SaleId": 468,
"ProjectId": 192,
"DocTmplId": 530,
"AssociateId": 512,
"UserGroupId": 575,
"VisibleForId": 154
}
],
"Associates": [
{
"AssociateId": 699,
"EmailAddress": "david.martinez@nordicsolutions.no"
},
{
"AssociateId": 700,
"EmailAddress": "anna.berg@nordicsolutions.no"
}
]
}